package LATMOS::Accounts::SynchAccess;

use strict;
use warnings;
use base qw(LATMOS::Accounts::SynchAccess::base);
use LATMOS::Accounts::SynchAccess::Objects;
use LATMOS::Accounts::Log;

our $VERSION = (q$Rev$ =~ /^Rev: (\d+) /)[0];

sub get_object {
    my ($self, $otype, $uid) = @_;
    my @subobj;
    foreach ($self->bases) {
        if ($_->is_supported_object($otype)) {
            my $u = $_->get_object($otype, $uid) or do {
                la_log(LA_ERR,
                    "Cannot get object $otype/$uid in %s/%s",
                    $_->type,
                    $_->label
                );
                return;
                };
            push(@subobj, $u);
        }
    }
    return LATMOS::Accounts::SynchAccess::Objects->new(
        [ @subobj ]
    );
}

1;

__END__
